This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300752 - Include Opportunistic IPsec in libreswan
Include Opportunistic IPsec in libreswan
Status: CLOSED DUPLICATE of bug 1324458
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan (Show other bugs)
7.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 10:58 EST by Paul Wouters
Modified: 2016-11-29 20:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-29 20:09:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2016-01-21 10:58:43 EST
Opportunistic IPsec is used to install policies based on CIDRs and ports to try and opportunisticly build IPsec tunnels where possible. This can be unauthenticated (using AUTH-NULL) or authenticated (using GSSAPI/Kerberos, DNSSEC or other third party hooks)

Upstream work is happening on this, and expected to be released in 3.17 or 3.18..

The 3.16 release incorporated AUTH-NULL Opportunistic IPsec already.
Comment 4 Jaroslav Aster 2016-11-23 10:18:14 EST
Hi Paul,

could you please provide us list of new features to test in new package if there will be any? Thanks.
Comment 5 Paul Wouters 2016-11-29 20:09:38 EST

*** This bug has been marked as a duplicate of bug 1324458 ***

Note You need to log in before you can comment on or make changes to this bug.